[project]
name = "simple-invoice-generator"
version = "0.2.0"
description = "Simple invoice generator for freelancers and small businesses"
readme = "README.md"
authors = [{name = "Torsten Ueberschar", email = "tu@uesome.de"}]
requires-python = ">=3.10"

classifiers = [
    "Development Status :: 3 - Alpha",
    "Intended Audience :: Developers, Freelancers",
    "License :: OSI Approved :: MIT License",
    "Programming Language :: Python :: 3.10",
]


dependencies = [
    'PyYAML==6.0.1',
    'Jinja2==3.1.3',
    'xhtml2pdf==0.2.15',
    'Markdown==3.5.2',
    'python-bidi==0.4.2'
]

[build-system]
requires = ["setuptools"]
build-backend = "setuptools.build_meta"

[project.scripts]
invoice = "main:main"
